%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-pixman
Version:        0.20.2
Release:        1%{?dist}
Summary:        MinGW Windows Pixman library

License:        MIT
URL:            http://cgit.freedesktop.org/pixman/
Group:          Development/Libraries

Source0:        http://cairographics.org/releases/pixman-%{version}.tar.gz
Source1:        make-pixman-snapshot.sh

# The configure script checks for the availability of the functions mprotect and getpagesize, but
# these checks return an invalid result which results in a compile failure
Patch0:         mingw32-pixman-dont-check-for-mprotect-and-getpagesize.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-dlfcn

Requires:       pkgconfig

%description
MinGW Windows Pixman library.


%package static
Summary:        Static version of the MinGW Windows Pixman library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows Pixman library.


%{?_mingw32_debug_package}


%prep
%setup -q -n pixman-%{version}
%patch0 -p0


%build
# Uses GTK for its testsuite, so disable this otherwise
# we have a chicken & egg problem on mingw
%{_mingw32_configure} --disable-gtk --enable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_mingw32_bindir}/libpixman-1-0.dll
%{_mingw32_includedir}/pixman-1
%{_mingw32_libdir}/libpixman-1.dll.a
%{_mingw32_libdir}/libpixman-1.la
%{_mingw32_libdir}/pkgconfig/pixman-1.pc


%files static
%defattr(-,root,root,-)
%{_mingw32_libdir}/libpixman-1.a


%changelog
* Mon Apr 25 2011 Kalev Lember <kalev@smartlink.ee> - 0.20.2-1
- Update to 0.20.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.19.4-1
- Update to 0.19.4
- Fixed Source URL
- Fixed a small rpmlint warning

* Tue Sep  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.19.2-1
- Update to 0.19.2

* Mon Jul 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.18.2-1
- Update to 0.18.2 (RHBZ #613665)

* Tue Sep 29 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.16.2-1
- Update to 0.16.2

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.16.0-2
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Sat Aug 29 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.15.20-1
- Update to version 0.15.20
- Updated SOURCE0 and URL
- Automatically generate debuginfo subpackage
- Don't build the 'blitters-test' testcase as it requires the memalign function
  which we don't have on MinGW

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.15.10-1
- Update to 0.15.10
- Use %%global instead of %%define
- Dropped pixman-0.13.2-license.patch as freedesktop bug #19582 is resolved

* Fri Apr  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.13.2-5
- Fixed %%defattr line
- Added -static subpackage

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 0.13.2-3
- Rebuild for mingw32-gcc 4.4

* Thu Jan 15 2009 Richard W.M. Jones <rjones@redhat.com> - 0.13.2-2
- Include LICENSE file (freedesktop bug 19582).

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 0.13.2-1
- Resynch with Fedora package (0.13.2).
- Disable static library for speed.
- Use _smp_mflags.
- Requires pkgconfig.
- Depends on dlfcn.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 0.12.0-2
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 0.12.0-1
- Update to 0.12.0 release

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.11.10-2
- Remove static library.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 0.11.10-1
- Initial RPM release
